Bug 996336 - bpms-6.0.0.DR6-redhat-1-bpms-deployable is not working with JDK 1.7
bpms-6.0.0.DR6-redhat-1-bpms-deployable is not working with JDK 1.7
Status: CLOSED WORKSFORME
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
x86_64 Windows
unspecified Severity medium
: ---
: ---
Assigned To: Kris Verlaenen
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 21:31 EDT by David Tse
Modified: 2013-10-14 16:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 16:53:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kverlaen: needinfo+


Attachments (Terms of Use)

  None (edit)
Description David Tse 2013-08-12 21:31:57 EDT
Description of problem:
bpms-6.0.0.DR6-redhat-1-bpms-deployable is not working with JDK 1.7

Version-Release number of selected component (if applicable):
bpms-6.0.0.DR6-redhat-1-bpms-deployable.zip

How reproducible:
Eclipse Juno with jbdevstudio-soa-tooling-updatesite-5.0.4.v20130329-0612-H8-GA.zip

Steps to Reproduce:
Run and jbpm-examples with JDK 1.6

Actual results:
java.lang.UnsupportedClassVersionError: org/jbpm/examples/evaluation/EvaluationExample : Unsupported major.minor version 51.0
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClassCond(Unknown Source)
	at java.lang.ClassLoader.defineClass(Unknown Source)
	at java.security.SecureClassLoader.defineClass(Unknown Source)
	at java.net.URLClassLoader.defineClass(Unknown Source)
	at java.net.URLClassLoader.access$000(Unknown Source)
	at java.net.URLClassLoader$1.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(Unknown Source)
	at java.lang.ClassLoader.loadClass(Unknown Source)
	at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
	at java.lang.ClassLoader.loadClass(Unknown Source)
Exception in thread "main"

Expected results:
'krisv' completing task Self Evaluation: Please perform a self-evalutation.
'john' completing task PM Evaluation: You need to evaluate krisv.
'mary' completing task HR Evaluation: You need to evaluate krisv.
Process instance completed

Additional info:
It works with jdk 1.6
Comment 2 Kris Verlaenen 2013-08-26 07:22:11 EDT
I'm not sure I get this, to reproduce it says: "Run and jbpm-examples with JDK 1.6", I assume this should be 1.7, according to the title (as additional info says it works with 1.6)?

Note that you typically only see this error if you are trying to execute code with an older version of Java (for example 1.6) that the version of Java it was compiled with (for example 1.7).  This issue seems to claim the opposite?

So it seems that you are compiling the code with 1.7 and then trying to execute it with 1.6 (without doing a full build, or without setting the target version of your compiler to 1.6).  Could you verify this?

I'm locally using 1.6 without issues.

Note You need to log in before you can comment on or make changes to this bug.